<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/get_entry_arg_descs_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/31/83  get_entry_arg_descs_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>This subroutine returns information about the calling sequence of a
<span id="L5" class="LineNr">  5 </span>procedure entry point.
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>Entry points in get_entry_arg_descs_:
<span id="L8" class="LineNr">  8 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>:Entry: get_entry_arg_descs_: 02/01/83  get_entry_arg_descs_
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>Function: given a pointer to the entry sequence or segdef of a
<span id="L15" class="LineNr"> 15 </span>procedure entry point, returns a list of argument descriptors
<span id="L16" class="LineNr"> 16 </span>describing the parameters of the entry point.
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>Syntax:
<span id="L20" class="LineNr"> 20 </span>declare get_entry_arg_descs_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L21" class="LineNr"> 21 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr"> 22 </span>call get_entry_arg_descs_ <span class="textRainbow_lv0_p0">(</span>entry_ptr<span class="textRainbow_lv0_o0">,</span> nargs<span class="textRainbow_lv0_o0">,</span> desc_ptrs<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>Arguments:
<span id="L26" class="LineNr"> 26 </span>entry_ptr
<span id="L27" class="LineNr"> 27 </span>   points to the entry sequence or segdef of the procedure entry point
<span id="L28" class="LineNr"> 28 </span>   whose parameter descriptors are to be described.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr"> 29 </span>nargs
<span id="L30" class="LineNr"> 30 </span>   is the number of parameters declared in the procedure entry point.
<span id="L31" class="LineNr"> 31 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr"> 32 </span>desc_ptrs
<span id="L33" class="LineNr"> 33 </span>   is an array of pointers to the argument descriptors describing the
<span id="L34" class="LineNr"> 34 </span>   declared parameters of the entry point.  If dimension <span class="textRainbow_lv0_p0">(</span>desc_ptrs<span class="textRainbow_lv0_o0">,</span> 1<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr"> 35 </span>   is less than nargs, the pointers identify the first dimension
<span id="L36" class="LineNr"> 36 </span>   <span class="textRainbow_lv0_p0">(</span>desc_ptrs<span class="textRainbow_lv0_o0">,</span> 1<span class="textRainbow_lv0_p0">)</span> parameter descriptors.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L37" class="LineNr"> 37 </span>code
<span id="L38" class="LineNr"> 38 </span>   is a standard status code.  It can be:
<span id="L39" class="LineNr"> 39 </span>   error_table_$nodescr
<span id="L40" class="LineNr"> 40 </span>      the entry point did not have parameter descriptors.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>
<span id="L43" class="LineNr"> 43 </span>Notes:
<span id="L44" class="LineNr"> 44 </span>For some version 0 object segments, a code of zero is returned, nargs
<span id="L45" class="LineNr"> 45 </span>is set, but the descriptor pointers in desc_ptrs are null.
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>
<span id="L48" class="LineNr"> 48 </span>:Entry:  info:  02/01/83 get_entry_arg_descs_$info
<span id="L49" class="LineNr"> 49 </span>
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>Function:  This entry point, given a pointer to the entry sequence or
<span id="L52" class="LineNr"> 52 </span>segdef of a procedure entry point, returns a list of argument
<span id="L53" class="LineNr"> 53 </span>descriptors describing the parameters of the entry point, plus a set of
<span id="L54" class="LineNr"> 54 </span>entry sequence flags which further describe the entry point.
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>Syntax:
<span id="L58" class="LineNr"> 58 </span>declare get_entry_arg_descs_$info entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span> ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L59" class="LineNr"> 59 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L60" class="LineNr"> 60 </span>call get_entry_arg_descs_$info <span class="textRainbow_lv0_p0">(</span>entry_ptr<span class="textRainbow_lv0_o0">,</span> nargs<span class="textRainbow_lv0_o0">,</span> desc_ptrs<span class="textRainbow_lv0_o0">,</span>
<span id="L61" class="LineNr"> 61 </span>     entry_desc_info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L62" class="LineNr"> 62 </span>
<span id="L63" class="LineNr"> 63 </span>
<span id="L64" class="LineNr"> 64 </span>Arguments:
<span id="L65" class="LineNr"> 65 </span>entry_ptr
<span id="L66" class="LineNr"> 66 </span>   points to the entry sequence or segdef of the procedure entry point
<span id="L67" class="LineNr"> 67 </span>   whose parameter descriptors are to be described.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L68" class="LineNr"> 68 </span>nargs
<span id="L69" class="LineNr"> 69 </span>   is the number of parameters declared in the procedure entry point.
<span id="L70" class="LineNr"> 70 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L71" class="LineNr"> 71 </span>desc_ptrs
<span id="L72" class="LineNr"> 72 </span>   is an array of pointers to the argument descriptors describing the
<span id="L73" class="LineNr"> 73 </span>   declared parameters of the entry point.  If dimension <span class="textRainbow_lv0_p0">(</span>desc_ptrs<span class="textRainbow_lv0_o0">,</span> 1<span class="textRainbow_lv0_p0">)</span>
<span id="L74" class="LineNr"> 74 </span>   is less than nargs, the pointers identify the first dimension
<span id="L75" class="LineNr"> 75 </span>   <span class="textRainbow_lv0_p0">(</span>desc_ptrs<span class="textRainbow_lv0_o0">,</span> 1<span class="textRainbow_lv0_p0">)</span> parameter descriptors.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L76" class="LineNr"> 76 </span>entry_desc_info_ptr
<span id="L77" class="LineNr"> 77 </span>   points to the entry_desc_info structure described under &quot;Notes&quot;
<span id="L78" class="LineNr"> 78 </span>   below.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L79" class="LineNr"> 79 </span>code
<span id="L80" class="LineNr"> 80 </span>   is a standard status code.  It can be:
<span id="L81" class="LineNr"> 81 </span>   error_table_$nodescr
<span id="L82" class="LineNr"> 82 </span>      the entry point did not have parameter descriptors.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L83" class="LineNr"> 83 </span>
<span id="L84" class="LineNr"> 84 </span>
<span id="L85" class="LineNr"> 85 </span>Notes:
<span id="L86" class="LineNr"> 86 </span>The entry_desc_info_ptr argument of get_entry_arg_descs_$info points to
<span id="L87" class="LineNr"> 87 </span>the structure shown below.  This structure is declared in
<span id="L88" class="LineNr"> 88 </span>entry_desc_info.incl.pl1.
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>   dcl 1 entry_desc_info          aligned based<span class="textRainbow_lv0_p0">(</span>entry_desc_info_ptr<span class="textRainbow_lv0_p0">)</span>,
<span id="L91" class="LineNr"> 91 </span>         2 version                fixed bin,
<span id="L92" class="LineNr"> 92 </span>         2 flags,
<span id="L93" class="LineNr"> 93 </span>          <span class="textRainbow_lv0_p0">(</span>3 basic_indicator<span class="textRainbow_lv0_o0">,</span>
<span id="L94" class="LineNr"> 94 </span>           3 revision_1<span class="textRainbow_lv0_o0">,</span>
<span id="L95" class="LineNr"> 95 </span>           3 has_descriptors<span class="textRainbow_lv0_o0">,</span>
<span id="L96" class="LineNr"> 96 </span>           3 variable<span class="textRainbow_lv0_o0">,</span>
<span id="L97" class="LineNr"> 97 </span>           3 function<span class="textRainbow_lv0_p0">)</span>            bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L98" class="LineNr"> 98 </span>           3 pad                  bit<span class="textRainbow_lv0_p0">(</span>13<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L99" class="LineNr"> 99 </span>       entry_desc_info_version_1  fixed bin int static
<span id="L100" class="LineNr">100 </span>                                  options<span class="textRainbow_lv0_p0">(</span>constant<span class="textRainbow_lv0_p0">)</span> init<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>,
<span id="L101" class="LineNr">101 </span>       entry_desc_info_ptr        ptr;
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>
<span id="L104" class="LineNr">104 </span>Structure elements:
<span id="L105" class="LineNr">105 </span>   version
<span id="L106" class="LineNr">106 </span>      is the version number of this structure.  The current version
<span id="L107" class="LineNr">107 </span>      number is 1.  The named constant, entry_desc_info_version_1
<span id="L108" class="LineNr">108 </span>      should be used to set this version number.
<span id="L109" class="LineNr">109 </span>   flags
<span id="L110" class="LineNr">110 </span>      are the flags which further describe the procedure entry point.
<span id="L111" class="LineNr">111 </span>   basic_indicator
<span id="L112" class="LineNr">112 </span>      is on if the entry point is in a program written in the BASIC
<span id="L113" class="LineNr">113 </span>      language.
<span id="L114" class="LineNr">114 </span>   revision_1
<span id="L115" class="LineNr">115 </span>      is on if the entry sequence has version 1 descriptor data.
<span id="L116" class="LineNr">116 </span>   has_descriptors
<span id="L117" class="LineNr">117 </span>      is on if the entry sequence has argument descriptors describing
<span id="L118" class="LineNr">118 </span>      its parameters.
<span id="L119" class="LineNr">119 </span>
<span id="L120" class="LineNr">120 </span>
<span id="L121" class="LineNr">121 </span>   variable
<span id="L122" class="LineNr">122 </span>      is on if the entry point accepts an undefined number of
<span id="L123" class="LineNr">123 </span>      arguments, and has been declared with the options<span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>
<span id="L124" class="LineNr">124 </span>      attribute.  This flag will usually be off for entry points in
<span id="L125" class="LineNr">125 </span>      command and active function procedures, even though these
<span id="L126" class="LineNr">126 </span>      procedures accept a variable number of arguments.  Command and
<span id="L127" class="LineNr">127 </span>      active function procedures usually do not declare their entry
<span id="L128" class="LineNr">128 </span>      points with explicit parameters or with the options<span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>
<span id="L129" class="LineNr">129 </span>      attribute.
<span id="L130" class="LineNr">130 </span>   function
<span id="L131" class="LineNr">131 </span>      is on if the procedure entry point is a function which returns a
<span id="L132" class="LineNr">132 </span>      value.  The final parameter argument descriptor describes this
<span id="L133" class="LineNr">133 </span>      return value.
<span id="L134" class="LineNr">134 </span>   entry_desc_info_version_1
<span id="L135" class="LineNr">135 </span>      is a named constant which the caller should use to set the
<span id="L136" class="LineNr">136 </span>      version number in the structure above.
<span id="L137" class="LineNr">137 </span>   entry_desc_info_ptr
<span id="L138" class="LineNr">138 </span>      points to the structure above.
<span id="L139" class="LineNr">139 </span>
<span id="L140" class="LineNr">140 </span>
<span id="L141" class="LineNr">141 </span>:Entry:  text_only:  02/01/83 get_entry_arg_descs_$text_only
<span id="L142" class="LineNr">142 </span>
<span id="L143" class="LineNr">143 </span>
<span id="L144" class="LineNr">144 </span>Function:  This entry point, given a pointer to the entry sequence of a
<span id="L145" class="LineNr">145 </span>procedure entry point, returns a list of argument descriptors
<span id="L146" class="LineNr">146 </span>describing the parameters of the entry point.  It differs from the
<span id="L147" class="LineNr">147 </span>get_entry_arg_descs_ entry point, in that it assumes that it is given a
<span id="L148" class="LineNr">148 </span>pointer to an entry sequence in the text section of the procedure,
<span id="L149" class="LineNr">149 </span>rather than checking to see if it was given a pointer to a segdef.
<span id="L150" class="LineNr">150 </span>
<span id="L151" class="LineNr">151 </span>
<span id="L152" class="LineNr">152 </span>Syntax:
<span id="L153" class="LineNr">153 </span>declare get_entry_arg_descs_$text_only entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L154" class="LineNr">154 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L155" class="LineNr">155 </span>call get_entry_arg_descs_$text_only <span class="textRainbow_lv0_p0">(</span>entry_ptr<span class="textRainbow_lv0_o0">,</span> nargs<span class="textRainbow_lv0_o0">,</span> desc_ptrs<span class="textRainbow_lv0_o0">,</span>
<span id="L156" class="LineNr">156 </span>     code<span class="textRainbow_lv0_p0">)</span>;
<span id="L157" class="LineNr">157 </span>
<span id="L158" class="LineNr">158 </span>
<span id="L159" class="LineNr">159 </span>Arguments:
<span id="L160" class="LineNr">160 </span>   The arguments are the same as for the get_entry_arg_descs_ entry
<span id="L161" class="LineNr">161 </span>   point above.  If entry_ptr does not point to an entry point in the
<span id="L162" class="LineNr">162 </span>   text section, then error_table_$nodescr is returned as the value of
<span id="L163" class="LineNr">163 </span>   code.
<span id="L164" class="LineNr">164 </span>
<span id="L165" class="LineNr">165 </span>
<span id="L166" class="LineNr">166 </span>:Entry:  text_only_info:  02/01/83 get_entry_arg_descs_$text_only_info
<span id="L167" class="LineNr">167 </span>
<span id="L168" class="LineNr">168 </span>
<span id="L169" class="LineNr">169 </span>Function:  This entry point, given a pointer to the entry sequence of a
<span id="L170" class="LineNr">170 </span>procedure entry point, returns a list of argument descriptors
<span id="L171" class="LineNr">171 </span>describing the parameters of the entry point, plus a set of entry
<span id="L172" class="LineNr">172 </span>sequence flags which further describe the entry point.  It differs from
<span id="L173" class="LineNr">173 </span>the get_entry_arg_descs_$info entry point, in that it assumes that it
<span id="L174" class="LineNr">174 </span>is given a pointer to an entry sequence in the text section of the
<span id="L175" class="LineNr">175 </span>procedure, rather than checking to see if it was given a pointer to a
<span id="L176" class="LineNr">176 </span>segdef.
<span id="L177" class="LineNr">177 </span>
<span id="L178" class="LineNr">178 </span>
<span id="L179" class="LineNr">179 </span>Syntax:
<span id="L180" class="LineNr">180 </span>declare get_entry_arg_descs_$text_only_info entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span>
<span id="L181" class="LineNr">181 </span>     ptr<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L182" class="LineNr">182 </span>call get_entry_arg_descs_$text_only_info <span class="textRainbow_lv0_p0">(</span>entry_ptr<span class="textRainbow_lv0_o0">,</span> nargs<span class="textRainbow_lv0_o0">,</span> desc_ptrs<span class="textRainbow_lv0_o0">,</span>
<span id="L183" class="LineNr">183 </span>     entry_desc_info_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L184" class="LineNr">184 </span>
<span id="L185" class="LineNr">185 </span>
<span id="L186" class="LineNr">186 </span>Arguments:
<span id="L187" class="LineNr">187 </span>   The arguments are the same as for the get_entry_arg_descs_$info
<span id="L188" class="LineNr">188 </span>   entry point above.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
